# Class goog.testing.mockmatchers.ObjectEquals

code »

    goog.testing.mockmatchers.ArgumentMatcher
      └ goog.testing.mockmatchers.ObjectEquals

A matcher that verifies that the argument is an object that equals the given expected object, using a deep comparison.

## Constructor

goog.testing.mockmatchers.ObjectEquals ( expectedObject )

Parameters

expectedObject: `Object`
  An object to match against when verifying the argument.

Show:Public Protected Private

## Instance Methods

### Defined in `goog.testing.mockmatchers.ObjectEquals`

code »matches ( toVerify, opt_expectation ) ⇒ `boolean`

Parameters

toVerify
opt_expectation

## Instance Properties

### Defined in `goog.testing.mockmatchers.ArgumentMatcher`

code »matchFn_ : `Function`

A function that evaluates a given argument and returns true if it meets a given criteria.

code »matchName_ : `?string`

A string indicating the match intent (e.g. isBoolean or isString).

## Static Properties

code »goog.testing.mockmatchers.ObjectEquals.superClass_ : `goog.testing.mockmatchers.ArgumentMatcher.prototype`